---
lang: en
title: 'API docs: repository.datasource'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.datasource.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [DataSource](./repository.datasource.md)

## DataSource interface

DataSource denotes a configured connector

**Signature:**

```typescript
export interface DataSource 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [connector?](./repository.datasource.connector.md) |  | [Connector](./repository.connector.md) | _(Optional)_ |
|  [name](./repository.datasource.name.md) |  | string |  |
|  [settings](./repository.datasource.settings.md) |  | [AnyObject](./repository.anyobject.md) |  |


